# QueryCombination Class Reference
[Dynamic query builder]

Inheritance diagram for QueryCombination:
[legend]

List of all members.

## Public Member Functions

| __construct (Query $left, Query $right, $logic)
| __clone ()
| getLimit ()
| getOffset ()
| limit ($limit=null, $offset=null)
| dropOrder ()
| setOrderChain (OrderChain $chain)
| orderBy ($field)
| toDialectString (Dialect $dialect)

## Private Attributes

| $left = null
| $right = null
| $logic = null
| $limit = null
| $offset = null
| $order = null

## Detailed Description

Definition at line 15 of file QueryCombination.class.php.

## Constructor & Destructor Documentation

QueryCombination::__construct | ( | Query $ | left,
|  | Query $ | right,
|  | $ | logic |
| ) |  |  |

Definition at line 28 of file QueryCombination.class.php.

References $logic.

## Member Function Documentation

QueryCombination::__clone | ( |  | ) |

Definition at line 40 of file QueryCombination.class.php.

QueryCombination::dropOrder | ( |  | ) |

Returns:
  QueryCombination

Definition at line 78 of file QueryCombination.class.php.

QueryCombination::getLimit | ( |  | ) |

Definition at line 47 of file QueryCombination.class.php.

QueryCombination::getOffset | ( |  | ) |

Definition at line 52 of file QueryCombination.class.php.

QueryCombination::limit | ( | $ | limit = `null`,
|  | $ | offset = `null` |
| ) |  |  |

Exceptions:

  | WrongArgumentException |

Returns:
  QueryCombination

Definition at line 61 of file QueryCombination.class.php.

References $limit, $offset, Assert::isInteger(), and Assert::isPositiveInteger().

Referenced by toDialectString().

Here is the call graph for this function:

QueryCombination::orderBy | ( | $ | field | ) |

Returns:
  QueryCombination

Definition at line 98 of file QueryCombination.class.php.

QueryCombination::setOrderChain | ( | OrderChain $ | chain | ) |

Returns:
  QueryCombination

Definition at line 88 of file QueryCombination.class.php.

QueryCombination::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 105 of file QueryCombination.class.php.

References limit().

Here is the call graph for this function:

## Member Data Documentation

QueryCombination::$left = null`[private]`

Definition at line 19 of file QueryCombination.class.php.

QueryCombination::$limit = null`[private]`

Definition at line 23 of file QueryCombination.class.php.

Referenced by limit().

QueryCombination::$logic = null`[private]`

Definition at line 21 of file QueryCombination.class.php.

Referenced by __construct().

QueryCombination::$offset = null`[private]`

Definition at line 24 of file QueryCombination.class.php.

Referenced by limit().

QueryCombination::$order = null`[private]`

Definition at line 26 of file QueryCombination.class.php.

QueryCombination::$right = null`[private]`

Definition at line 20 of file QueryCombination.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/QueryCombination.class.php